# Awesome OBS

- [OBS Studio](https://obsproject.com/download) Starter Kit and Resources, for Linux or Mac, **tech stream oriented**.

![](https://img.shields.io/github/stars/juancarlospaco/obs-starter-kit?style=for-the-badge)
![](https://img.shields.io/maintenance/yes/2020?style=for-the-badge)
![](https://img.shields.io/github/last-commit/juancarlospaco/obs-starter-kit?style=for-the-badge)
![](https://img.shields.io/liberapay/patrons/juancarlospaco?style=for-the-badge)


# Tools

These are some visually attractive eye candy and useful tools that you can show off on your stream, install the ones you see fit...


## Clementine

[Clementine Music Player](https://www.clementine-player.org) is an open source crossplatform Qt5 Music player with very modern and visually attractive UI,
that makes it ideal for playing music while occasionally showing the player on stream and dont get everyone bored quickly,
it uses few resources and disk space because its C, uses less resources than Spotify, and uses no Network by default.

It has a playlist with "Mood bars" that represents the mood of the song using colors (sad music, happy music, slow paced music, etc).
The playlist also has a column "Play Count" so you can see how many times that song has been played on stream.
The Playlist has a Rating colum with 5 Stars widgets, so you can rate the songs too.
It can show random baby Kitten photos for missing music cover photos.
If you dont have Designs for *"Will be back soon"* kind of screens, just leaving the player on shuffle will do, at least for a while.

[![](https://raw.githubusercontent.com/juancarlospaco/obs-starter-kit/master/clementine.png "Visually attractive music player!")](https://www.clementine-player.org)


## Webcamoid

[Webcamoid](https://webcamoid.github.io) is an open source Qt5 WebCam app with advanced settings and real time filters and effects,
is very lightweight being coded on C, uses few resources, it can add custom effects to your webcam on real time,
it can cover faces with PNG images, it can blurry faces, it can add face masks, cover you with fire or glow halo and more fancy toys.

[![](https://webcamoid.github.io/theme/images/screenshots/Effects.png)](https://webcamoid.github.io "Real time effects for your camera")


## Flameshot

[Flameshot](https://github.com/lupoDharkael/flameshot) is an open source crossplatform Qt5 Screenshot app with tools and nice UI, it has a TryIcon and a window widget,
very nice if you need to take screenshots for your stream.

[![](https://raw.githubusercontent.com/lupoDharkael/flameshot/master/img/preview/animatedUsage.gif)](https://github.com/lupoDharkael/flameshot#--------------------------------flameshot---- "Cool screenshots")


## Cool Retro Term

[Cool Retro Term](https://github.com/Swordfish90/cool-retro-term#cool-retro-term) is a is an open source crossplatform Qt5/QML Terminal app,
with configurable effects, you can disable any or all effects too, copy&paste works, for the rest is a normal terminal app but looks fancy.

[![](https://user-images.githubusercontent.com/121322/32070717-16708784-ba42-11e7-8572-a8fcc10d7f7d.gif) ![](https://user-images.githubusercontent.com/121322/32070716-16567e5c-ba42-11e7-9e64-ba96dfe9b64d.gif)](https://github.com/Swordfish90/cool-retro-term#cool-retro-term)


## Visual Studio Code

[Visual Studio Code](https://code.visualstudio.com) is an open source ElectronJS code editor that [has stream oriented plugins](https://dev.to/ninjabunny9000/5-useful-vscode-extensions-for-live-coding-239b),
that allows your viewers to interact with the editor and the code in it using chat commands and more.
It is the only editor that we can find that has stream oriented plugins.

![](https://res.cloudinary.com/practicaldev/image/fetch/s--s0A4Ri0H--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_66%2Cw_880/https://github.com/clarkio/vscode-twitch-highlighter/raw/master/resources/intro-vid.gif)


## Orion

[Orion](https://alamminsalo.github.io/orion) is an open source crossplatform Qt5/QML Twitch Desktop Client app, with all basic features working,
emojis and unicode works, copy&paste works, is very lightweight being coded on C++, it wont replace the web but if you only need to watch streams is very comfy.

[![](https://user-images.githubusercontent.com/5585454/27840063-b6429fce-60fe-11e7-9e96-54d6d0657953.png)](https://alamminsalo.github.io/orion)


## SWCursor

[SWCursor](https://github.com/andykitchen/swcursor#swcursor) is a simple C program that allows you to use any PNG image as Mouse cursor,
so you can use your Logo as cursor or an extra big cursor on your stream. You can remove the cursor by closing the program.

[![](https://raw.githubusercontent.com/andykitchen/swcursor/master/screenshot.png)](https://github.com/andykitchen/swcursor#swcursor)


## BetterTTV

![](betterttv.png)

[BetterTTV](https://betterttv.com/emotes/top) is an [open source web browser extension](https://github.com/night/BetterTTV)
that adds extra features to Twitch stream chats like animated emotes and more, is very popular on streams,
if you dont understand why a lot of people on your chat types `monkaS` is probably that you need this browser extension,
you can also add you own customized animated emotes for your chat, also supports not-animated emotes, its free $0 cost.


## TwitchRoulette

[TwitchRoulette](https://twitchroulette.net) Spin the wheel and match with a random streamer with no viewers. 
Say hi! Make new Friends!.


## LiberaPay

![](liberapay.jpg)

[LiberaPay](https://liberapay.com) is an open source free web service that allows you to take Donations $,
it is like an alternative to Patreon and similar services,
when you stream on a fixed constant schedule eventually people will start asking for a way to Donate to you,
this is the only service we can find that do not take a big chunk of your donation,
with this service 100% of the money goes to you, as far as we know it works internationally.


## Featured Chats

https://featured.chat is a free web tool for Streamers created by [Djwheat](https://twitch.tv/djwheat), 
it is a tool to showcase and groom all the chat activity on a channel and feature individual chat messages on screen in the broadcast.

It is not an extension: The tool is made up of 2 web pages.
One for Management, a webpage in your browser to curate/moderate the messages,
one for your broadcast software, a browser source you can plug into OBS. 

Documentation Manual: https://featured.chat/manual


## MultiTwitch

You can use [MultiTwitch](http://www.multitwitch.tv) to watch any number of [Twitch](https://www.twitch.tv) streams at the same time (as long as your computer can handle it). 
Simply put the streams you want in the url. 
[MultiTwitch](http://www.multitwitch.tv) will optimize the layout of streams to give you the maximum size on each of the streams, 
while maintaining aspect ratio. 
Source https://github.com/bhamrick/multitwitch


## Twire

[Twire](https://f-droid.org/en/packages/com.perflyst.twire) is an open source Android Twitch Client app for Mobile,
is a lot more lightweigth than the official app and the features are almost the same, copy&paste works, emoji and unicode works too.


## ShowMeTheWay

[ShowMeTheWay](https://osmlab.github.io/show-me-the-way) is an open source web service that shows real time updates on [OpenStreetMap](https://www.openstreetmap.org),
If you dont have Designs for *"Will be back soon"* kind of screens, just leaving this web on screen will do, at least for a while.

## LiveOpenStreetMap

[LiveOpenStreetMap](http://live.openstreetmap.fr) is an open source web service that shows real time updates on [OpenStreetMap](https://www.openstreetmap.org),
If you dont have Designs for *"Will be back soon"* kind of screens, just leaving this web on screen will do, at least for a while.

## Jamendo

[Jamendo](http://jamendo.com) is a web service where you can find free music without copyright nor royalty costs,
you can download full quality music for free to use on your streams and dont get muted, etc.

## ReStream

[ReStream](https://restream.io) re-streams your stream into several platforms for free,
you need to register and it will provide you with an URL and secret token to use on OBS.
Free account do not have stream on public Facebook Live and has a transparent watermark.

# Twitch Extensions

Few Twitch extensions for tech streams, random order, as example, theres always more on the Twitch catalog.

Something to consider for tech streams is that sometimes the most popular and effective Twitch Extensions for other categories can fail on tech streams,
that tend to have less than 100 viewers, because if the extension is too Bits hungry no one will really use it,
so Twitch Extensions without Bits, at least for basic functionality are preferred.

The Gaming stream extensions are over-saturated, the Tech stream extensions are underrated.


## GitHub Projects

https://www.twitch.tv/ext/yncbd7i177on3ia536r307nlvt8g1w-0.1.1

## GitHub Repo Browser

https://www.twitch.tv/ext/4pk2cbv7h3ur5j934vhe0gt8a829tj-1.1.2

## GitHub Profile

https://www.twitch.tv/ext/ipthd4t8w0euh9djnycwc4a12e0694-1.1.2

# Uptime & Watchtime

https://www.twitch.tv/ext/jk6sz43il0oyzfl8xipehqacw8bchv-1.0.2

## Better Information Panel

https://www.twitch.tv/ext/pp16i51f77pxhwls8tqqo72f5m5ttz-0.4.0

## NicoNico

https://www.twitch.tv/ext/gh70y1spw727ohtgzbhc0hppvq9br2-0.2.0

## Twitter Timeline

https://www.twitch.tv/ext/qcxdzgqw0sd1u50wqtwodjfd5dmkxz-1.0.0

## Latest Followers

https://www.twitch.tv/ext/wb3bnc8np7tdnxj2sfbk0aa3vklulo-1.0.6

## Viewer GeoLocation

https://www.twitch.tv/ext/9zqhb3hba48m0c382uno7k2t74isfi-0.1.4

## Suggestion Box

https://www.twitch.tv/ext/6rh8h42nhnjmirlyxc0w9lbpmeehi0-0.4.2

## Schedule

https://www.twitch.tv/ext/6t1ip2ejuoshyb63c9rq9rvacageuk-0.0.1

## Snow

https://www.twitch.tv/ext/xbfr3j9z0wzaov6bkvaam7wsovlxqj-1.0.0


# Requisites

- [OBS Studio](https://obsproject.com/download) for Linux or Mac.


## Stars

![Stars over time](https://starchart.cc/juancarlospaco/obs-starter-kit.svg "Star OBS-Starter-Kit on GitHub!")


# Contributing

- At least Tweet-sized documentation must be provided, so people can understand what it is.
- No Ads, Watermarks, or similar on the contributed resources, to keep it clean for everyone.
- You can link to your pages and add explicit credit on documentation of such resources.
- Basically the resources contributed here must be clean, if you want to link your page and charge for premium resources there, is Ok, but resources on this repo must be clean.


[  ⬆️  ⬆️  ⬆️  ⬆️  ](#awesome-obs "Go to top")
